Bug 439702 - gdm is breaks when using pam_namespace
gdm is breaks when using pam_namespace
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 14:01 EDT by Daniel Walsh
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 06:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2008-03-30 14:01:23 EDT
Description of problem:

gdm-worker-thread goes to 100% cpu, probably when the /tmp directory disappears
on it. (I can hear Nalin screaming in BRNO)...
Comment 1 Daniel Walsh 2008-03-30 14:02:18 EDT
If you install the xguest package and try it out you will see the behaviour, I
am seeing it on one laptop but not my own.   
Comment 2 jmccann 2008-03-31 23:57:06 EDT
Hi Dan.

Can't reproduce this here because xguest won't install on rawhide:

error: %pre(xguest-1.0.6-6.fc9.noarch) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping xguest-1.0.6-6.fc9

Comment 3 Daniel Walsh 2008-04-01 01:45:26 EDT
That is strange.  Do you have selinux turned on, on the machine you are
attempting to install it on?
Comment 4 jmccann 2008-04-01 09:24:43 EDT
I've tried to install it on two different laptops with rawhide.  Turns out both
had selinux disabled.  Seems like we should allow the package to install though.
Comment 5 jmccann 2008-04-01 19:22:55 EDT
Ok, I've was able to install xguest when I put selinux into permissive mode. 
Enforcing mode doesn't allow me to log in to any accounts even from login.  In
permissive mode I'm prompted for a password when clicking on the Guest user. 
That seems odd.

Can you please give me some hints on how to reproduce this?
Comment 6 Bug Zapper 2008-05-14 04:26:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Brennan Ashton 2008-06-07 22:53:52 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Bug Zapper 2009-06-09 19:56:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Daniel Walsh 2009-06-10 06:30:43 EDT
I don't believe this happens any longer.

Note You need to log in before you can comment on or make changes to this bug.